Skip to content

Commit

Permalink
Merge pull request kubevirt#13021 from brianmcarey/revert-12938
Browse files Browse the repository at this point in the history
Revert "Bump kubevirtci"
  • Loading branch information
kubevirt-bot authored Oct 9, 2024
2 parents 1d451bb + 7058b2f commit 742c260
Show file tree
Hide file tree
Showing 12 changed files with 163 additions and 19 deletions.
2 changes: 1 addition & 1 deletion cluster-up-sha.txt
Original file line number Diff line number Diff line change
@@ -1 +1 @@
c0b0b11bb5bb73ccbc051e76bf2dedc56131b5a7
efbaf742bac44185800f8fc04c2825363e2f983a
4 changes: 0 additions & 4 deletions cluster-up/cluster/ephemeral-provider-common.sh
Original file line number Diff line number Diff line change
Expand Up @@ -146,10 +146,6 @@ function _add_common_params() {
params=" --enable-audit $params"
fi

if [ $KUBVIRT_WITH_CNAO_SKIP_CONFIG == "true" ]; then
params=" --skip-cnao-cr $params"
fi

if [ $KUBEVIRT_DEPLOY_NFS_CSI == "true" ]; then
params=" --enable-nfs-csi $params"
fi
Expand Down
19 changes: 19 additions & 0 deletions cluster-up/cluster/kind-1.27-vgpu/config_vgpu_cluster.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,19 @@
#!/bin/bash

[ $(id -u) -ne 0 ] && echo "FATAL: this script requires sudo privileges" >&2 && exit 1

set -xe

SCRIPT_PATH=$(dirname "$(realpath "$0")")

source ${SCRIPT_PATH}/vgpu-node/node.sh
echo "_kubectl: " ${_kubectl}
echo "KUBEVIRTCI_PATH: " ${KUBEVIRTCI_PATH}
source ${KUBEVIRTCI_PATH}/cluster/kind/common.sh
echo "_kubectl: " ${_kubectl}

nodes=($(_kubectl get nodes -o custom-columns=:.metadata.name --no-headers))
node::remount_sysfs "${nodes[*]}"
node::discover_host_gpus

_kubectl get nodes
47 changes: 47 additions & 0 deletions cluster-up/cluster/kind-1.27-vgpu/conformance.json
Original file line number Diff line number Diff line change
@@ -0,0 +1,47 @@
{
"Description": "DEFAULT",
"UUID": "",
"Version": "v0.56.9",
"ResultsDir": "/tmp/sonobuoy/results",
"Resources": null,
"Filters": {
"Namespaces": ".*",
"LabelSelector": ""
},
"Limits": {
"PodLogs": {
"Namespaces": "kube-system",
"SonobuoyNamespace": true,
"FieldSelectors": [],
"LabelSelector": "",
"Previous": false,
"SinceSeconds": null,
"SinceTime": null,
"Timestamps": false,
"TailLines": null,
"LimitBytes": null
}
},
"QPS": 30,
"Burst": 50,
"Server": {
"bindaddress": "0.0.0.0",
"bindport": 8080,
"advertiseaddress": "",
"timeoutseconds": 21600
},
"Plugins": null,
"PluginSearchPath": [
"./plugins.d",
"/etc/sonobuoy/plugins.d",
"~/sonobuoy/plugins.d"
],
"Namespace": "sonobuoy",
"WorkerImage": "sonobuoy/sonobuoy:v0.56.9",
"ImagePullPolicy": "IfNotPresent",
"ImagePullSecrets": "",
"AggregatorPermissions": "clusterAdmin",
"ServiceAccountName": "sonobuoy-serviceaccount",
"ProgressUpdatesPort": "8099",
"SecurityContextMode": "nonroot"
}
1 change: 1 addition & 0 deletions cluster-up/cluster/kind-1.27-vgpu/image
Original file line number Diff line number Diff line change
@@ -0,0 +1 @@
kindest/node:v1.27.1@sha256:9915f5629ef4d29f35b478e819249e89cfaffcbfeebda4324e5c01d53d937b09
58 changes: 58 additions & 0 deletions cluster-up/cluster/kind-1.27-vgpu/provider.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,58 @@
#!/usr/bin/env bash

set -e

DEFAULT_CLUSTER_NAME="vgpu"
DEFAULT_HOST_PORT=5000
ALTERNATE_HOST_PORT=5001
export CLUSTER_NAME=${CLUSTER_NAME:-$DEFAULT_CLUSTER_NAME}

if [ $CLUSTER_NAME == $DEFAULT_CLUSTER_NAME ]; then
export HOST_PORT=$DEFAULT_HOST_PORT
else
export HOST_PORT=$ALTERNATE_HOST_PORT
fi

function set_kind_params() {
version=$(cat cluster-up/cluster/$KUBEVIRT_PROVIDER/version)
export KIND_VERSION="${KIND_VERSION:-$version}"

image=$(cat cluster-up/cluster/$KUBEVIRT_PROVIDER/image)
export KIND_NODE_IMAGE="${KIND_NODE_IMAGE:-$image}"
}

function configure_registry_proxy() {
[ "$CI" != "true" ] && return

echo "Configuring cluster nodes to work with CI mirror-proxy..."

local -r ci_proxy_hostname="docker-mirror-proxy.kubevirt-prow.svc"
local -r kind_binary_path="${KUBEVIRTCI_CONFIG_PATH}/$KUBEVIRT_PROVIDER/.kind"
local -r configure_registry_proxy_script="${KUBEVIRTCI_PATH}/cluster/kind/configure-registry-proxy.sh"

KIND_BIN="$kind_binary_path" PROXY_HOSTNAME="$ci_proxy_hostname" $configure_registry_proxy_script
}

function up() {
# print hardware info for easier debugging based on logs
echo 'Available cards'
${CRI_BIN} run --rm --cap-add=SYS_RAWIO quay.io/phoracek/lspci@sha256:0f3cacf7098202ef284308c64e3fc0ba441871a846022bb87d65ff130c79adb1 sh -c "lspci -k | grep -EA2 'VGA|3D'"
echo ""

cp $KIND_MANIFESTS_DIR/kind.yaml ${KUBEVIRTCI_CONFIG_PATH}/$KUBEVIRT_PROVIDER/kind.yaml
_add_extra_mounts
kind_up

configure_registry_proxy

# remove the rancher.io kind default storageClass
_kubectl delete sc standard

${KUBEVIRTCI_PATH}/cluster/$KUBEVIRT_PROVIDER/config_vgpu_cluster.sh

echo "$KUBEVIRT_PROVIDER cluster '$CLUSTER_NAME' is ready"
}

set_kind_params

source ${KUBEVIRTCI_PATH}/cluster/kind/common.sh
1 change: 1 addition & 0 deletions cluster-up/cluster/kind-1.27-vgpu/version
Original file line number Diff line number Diff line change
@@ -0,0 +1 @@
0.18.0
32 changes: 32 additions & 0 deletions cluster-up/cluster/kind-1.27-vgpu/vgpu-node/node.sh
Original file line number Diff line number Diff line change
@@ -0,0 +1,32 @@
#!/bin/bash

function node::discover_host_gpus() {
local -r gpu_types=( $(find /sys/class/mdev_bus/*/mdev_supported_types) )
[ "${#gpu_types[@]}" -eq 0 ] && echo "FATAL: Could not find available GPUs on host" >&2 && return 1

local gpu_addr
local gpu_addresses=()
for path in "${gpu_types}"; do
gpu_addr="${gpu_types#/sys/class/mdev_bus/}"
gpu_addr=${gpu_addr%/*}

gpu_addresses+=( $gpu_addr )
done

echo "${gpu_addresses[@]}"
}

function node::remount_sysfs() {
local -r nodes_array=($1)
local node_exec

for node in "${nodes_array[@]}"; do

# KIND mounts sysfs as read-only by default, remount as R/W"
node_exec="${CRI_BIN} exec $node"
$node_exec mount -o remount,rw /sys
$node_exec chmod 666 /dev/vfio/vfio

done
}

2 changes: 1 addition & 1 deletion cluster-up/hack/common.sh
Original file line number Diff line number Diff line change
Expand Up @@ -54,4 +54,4 @@ provider_prefix=${JOB_NAME:-${KUBEVIRT_PROVIDER}}${EXECUTOR_NUMBER}
job_prefix=${JOB_NAME:-kubevirt}${EXECUTOR_NUMBER}

mkdir -p $KUBEVIRTCI_CONFIG_PATH/$KUBEVIRT_PROVIDER
KUBEVIRTCI_TAG=2409270946-40b41622
KUBEVIRTCI_TAG=2409241245-d93dec16
2 changes: 1 addition & 1 deletion cluster-up/version.txt
Original file line number Diff line number Diff line change
@@ -1 +1 @@
2409270946-40b41622
2409241245-d93dec16
12 changes: 1 addition & 11 deletions cluster-up/virtctl.sh
Original file line number Diff line number Diff line change
Expand Up @@ -19,9 +19,6 @@

set -e

>&2 echo "WARNING: usage of '${BASH_SOURCE[0]}' is deprecated!"
>&2 echo " see: https://github.com/kubevirt/kubevirtci/issues/1277"

if [ -z "$KUBEVIRTCI_PATH" ]; then
KUBEVIRTCI_PATH="$(
cd "$(dirname "$BASH_SOURCE[0]")/"
Expand All @@ -41,12 +38,5 @@ elif [ -n "$KUBECONFIG" ]; then
CONFIG_ARGS="--kubeconfig=${KUBECONFIG}"
fi

KUBEVIRT_OUT_PATH=${KUBEVIRTCI_PATH}/../_out
if [ ! -d ${KUBEVIRT_OUT_PATH} ]; then
# see https://github.com/kubevirt/kubevirt/pull/12872
>&2 echo "WARNING: $KUBEVIRT_OUT_PATH not found, falling back to parent"
KUBEVIRT_OUT_PATH=${KUBEVIRTCI_PATH}/../../_out
>&2 echo " $KUBEVIRT_OUT_PATH"
fi
${KUBEVIRT_OUT_PATH}/cmd/virtctl/virtctl $CONFIG_ARGS "$@"
${KUBEVIRTCI_PATH}/../_out/cmd/virtctl/virtctl $CONFIG_ARGS "$@"

2 changes: 1 addition & 1 deletion hack/config-default.sh
Original file line number Diff line number Diff line change
Expand Up @@ -37,7 +37,7 @@ cdi_namespace=cdi
image_pull_policy=${IMAGE_PULL_POLICY:-IfNotPresent}
verbosity=${VERBOSITY:-2}
package_name=${PACKAGE_NAME:-kubevirt-dev}
kubevirtci_git_hash="2409270946-40b41622"
kubevirtci_git_hash="2409241245-d93dec16"
conn_check_ipv4_address=${CONN_CHECK_IPV4_ADDRESS:-""}
conn_check_ipv6_address=${CONN_CHECK_IPV6_ADDRESS:-""}
conn_check_dns=${CONN_CHECK_DNS:-""}
Expand Down

0 comments on commit 742c260

Please sign in to comment.